TechDraw Neue Projektionsgruppe (Mehrseitenansicht)

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw NewProjGroup and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎română • ‎русский
Dieser Befehl existiert bis zur Version 0.18. Ab Version 0.19 wird er ersetzt durch TechDraw ProjektionsGruppe


TechDraw NewProjGroup.svg TechDraw NeueProjGruppe

Menüeintrag
TechDraw → Projektionsgruppe einfügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
TechDraw Ansicht, TechDraw NeueSchnittansicht

Beschreibung

Das ProjektionsGruppe Werkzeug erstellt eine Mehrfachansichtsprojektion von einem oder mehreren 3D Objekten. Die isometrischen Ansichten der 4 vorderen Ecken können ebenfalls einbezogen werden.

Wenn du nur eine einzige Ansicht erzeugen möchtest, ist es nicht von Vorteil, ProjektionsGruppe zu verwenden; Du solltest dann stattdessen Ansicht in Seite einfügen verwenden. Wenn du nicht die herkömmliche erste- / dritte-Winkel-Projektion verwenden möchtest, solltest du mehrere Ansichten (Ansicht in Seite einfügen) anstelle von ProjektionsGruppe verwenden.

TechDraw ProjGroup example.png

Drei orthogonale Ansichten und eine isometrische Ansicht eines Festkörperobjekts

Anwendung

  1. Wähle ein oder mehrere Körper und/oder Part Objekte im 3D Fenster oder Baum. Wenn du mehrere Zeichnungsseiten in deinem Dokument hast, musst du auch die gewünschte Seite im Baum auswählen.
  2. Drücke die TechDraw NewProjGroup.svg Projektions Gruppe einfügenSchaltfläche .
  3. Ein Dialogfeld wird geöffnet, in dem du auswählen kannst, welche Ansichten in der Gruppe erscheinen sollen, der Maßstab der Gruppe und andere Parameter:

TaskProjGroup.png

Projektion Gruppe Aufgabenpaneel. Das mittlere Feld zeigt die aktuelle Blickrichtung mit Prozentsätzen der x, y und z Achse an. Hinweis: dieses Feld kann nicht zur Richtungsänderung verwendet werden.

Das Dialogfeld ermöglicht es dir auch, die verschiedenen Ansichten automatisch mit dem angegebenen Abstand über die Seite zu verteilen.

Nachdem du die ProjektionsGruppe erstellt hast, kannst du die Gruppe als Ganzes verschieben, indem du die zentrale Ansicht ziehst. Du kannst auch die Projektionsansichten durch Ziehen verschieben.

Eigenschaften

  • DataAnker: Die zentrale Ansicht in der Gruppe. Normalerweise die Vorderansicht.
  • DataProjektionsTyp: Erster Winkel oder Dritter Winkel.
  • DataAutoVerteilung: Wenn true, werden einzelne Ansichten automatisch ausgeblendet. Verwende false, um manuell zu positionieren.
  • DataFreiraumX: Horizontaler Zwischenraum zwischen den Rändern der Ansichten bei automatischer Positionierung. Beachte, dass auch der Maßstab und die Größe der anderen Ansichten in der Gruppe den Abstand beeinflussen.
  • DataFreiraumY: Vertikaler Zwischenraum zwischen den Rändern der Ansichten bei automatischer Positionierung.

Die Projektionsgruppe erbt als Ganzes X, Y, ScaleType, Scale und Rotation von der zentralen Ansicht.

Einzelne Ansichten innerhalb der Gruppe erben alle Eigenschaften der Part-Ansicht, aber das »ProjectionGroup« Objekt steuert die Größe aller seiner Elementansichten.

The RotationVector property of individual Views within the group is deprecated as of v0.19. Use XDirection instead.

Programmierung

Siehe auch: TechDraw API und FreeCAD Scripting Basics.

Das NeueProjektionsGruppe Werkzeug kann in Makros und von der Python Konsole aus verwendet werden. Ein vollständiges Skript ist in der Quellverteilung in "source-dir/src/Mod/TechDraw/TDTest/DProjGroupTest.py" verfügbar.

#make a page
    print("making a page")
    page = FreeCAD.ActiveDocument.addObject('TechDraw::DrawPage','Page')
    FreeCAD.ActiveDocument.addObject('TechDraw::DrawSVGTemplate','Template')
    FreeCAD.ActiveDocument.Template.Template = templateFileSpec
    FreeCAD.ActiveDocument.Page.Template = FreeCAD.ActiveDocument.Template

    #make projection group
    group = FreeCAD.ActiveDocument.addObject('TechDraw::DrawProjGroup','ProjGroup')
    rc = page.addView(group)
    group.Source = [fusion]

    #add Front(Anchor) view
    frontView = group.addProjection("Front")               ##need an Anchor

    #update group
    group.Anchor.Direction = FreeCAD.Vector(0,0,1)
    group.Anchor.RotationVector = FreeCAD.Vector(1,0,0)

    #add more projections
    leftView = group.addProjection("Left")
    topView = group.addProjection("Top")
    rightView = group.addProjection("Right")
    rearView = group.addProjection("Rear")
    BottomView = group.addProjection("Bottom")

    #remove a view from projection group
    iv = group.removeProjection("Left")

Programmierhinweis: Die Projektionsgruppe sollte immer zur Seite hinzugefügt werden (z.B. page.addView(group), bevor Projektionen zur Gruppe hinzugefügt werden. Dies ermöglicht es der Projektionsgruppe, von der übergeordneten Seite abgeleitete Standardparameterwerte zu verwenden.